searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"Plugmap.html","title":"Plugmap","type":"module"},{"doc":"This is the DSL sitemap module.","ref":"Plugmap.DSL.html","title":"Plugmap.DSL","type":"module"},{"doc":"Create function which generate sitemap xml.\n\nReturns `Plug.Conn` with sitemap and `text/xml` content type.","ref":"Plugmap.DSL.html#defsitemap/2","title":"Plugmap.DSL.defsitemap/2","type":"macro"},{"doc":"defsitemap :pages do\n        static do\n            page \"https://test.com\", changefreq: \"monthly\", priority: 0.7\n            page \"https://test.com/list\", changefreq: \"daily\", priority: 1.0\n        end\n    end","ref":"Plugmap.DSL.html#defsitemap/2-example-static-pages","title":"Example static pages - Plugmap.DSL.defsitemap/2","type":"macro"},{"doc":"defsitemap :pages_dynamic do\n        dynamic do\n            Enum.reduce(1..10, [], fn(x, acc) ->\n                item = page \"https://website.com\", changefreq: \"daily\", priority: x/10\n                [item | acc]\n                end)\n        end\n    end\n\nIt must return ```list``` of items generated with ```page``` function","ref":"Plugmap.DSL.html#defsitemap/2-example-dynamic-pages","title":"Example dynamic pages - Plugmap.DSL.defsitemap/2","type":"macro"},{"doc":"Add page to sitemap.","ref":"Plugmap.DSL.html#page/1","title":"Plugmap.DSL.page/1","type":"function"},{"doc":"page \"https://test.com\"","ref":"Plugmap.DSL.html#page/1-examples","title":"Examples - Plugmap.DSL.page/1","type":"function"},{"doc":"Add page with attributes to sitemap.","ref":"Plugmap.DSL.html#page/2","title":"Plugmap.DSL.page/2","type":"function"},{"doc":"page \"https://test.com\", changefreq: \"monthly\", priority: 0.7","ref":"Plugmap.DSL.html#page/2-examples","title":"Examples - Plugmap.DSL.page/2","type":"function"},{"doc":"[![Hex.pm Downloads](https://img.shields.io/hexpm/dt/plugmap)](https://hex.pm/packages/plugmap)\n[![Inline docs](http://inch-ci.org/github/nerdslabs/plugmap.svg)](http://inch-ci.org/github/nerdslabs/plugmap)\n\n# Plugmap\n\n**Plugmap is sitemap generation library for Plug/Phoenix Framework**","ref":"readme.html","title":"README","type":"extras"},{"doc":"Add `plugmap` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [{:plugmap, \"~> 0.3.0\"}]\nend\n```","ref":"readme.html#installation","title":"Installation - README","type":"extras"},{"doc":"","ref":"readme.html#usage","title":"Usage - README","type":"extras"},{"doc":"```elixir\ndefmodule Sitemaps do\n  use Plugmap\n  import Plug.Conn\n\n  defsitemap :pages do\n    static do\n      page \"https://website.com\", changefreq: \"daily\", priority: 1.0\n      page \"https://website.com/page\", changefreq: \"monthly\", priority: 0.5\n    end\n  end\n\n  defsitemap :pages_dynamic do\n    dynamic do\n      Enum.reduce(1..10, [], fn(x, acc) ->\n          item = page \"https://website.com\", changefreq: \"daily\", priority: x/10\n          [item | acc]\n        end)\n    end\n  end\nend\n```\nThen you can call method ```Sitemaps.pages(conn)``` in ```Plug``` ```call``` function or in ```Plug.Router```","ref":"readme.html#plug","title":"Plug - README","type":"extras"},{"doc":"#### Controller\n```elixir\ndefmodule SomeApp.SitemapsController do\n  use SomeApp.Web, :controller\n  use Plugmap\n\n  defsitemap :pages do\n    static do\n      page \"https://website.com\", changefreq: \"daily\", priority: 1.0\n      page \"https://website.com/page\", changefreq: \"monthly\", priority: 0.5\n    end\n  end\n\n  defsitemap :pages_dynamic do\n    dynamic do\n      Enum.reduce(1..10, [], fn(x, acc) ->\n          item = page \"https://website.com\", changefreq: \"daily\", priority: x/10\n          [item | acc]\n        end)\n    end\n  end\n\nend\n```\n#### Router\n```elixir\nget \"/sitemap/pages\", SitemapsController, :pages\nget \"/sitemap/items\", SitemapsController, :pages_dynamic\n```\n\nMore info in [documentation](https://hexdocs.pm/plugmap/Plugmap.DSL.html)","ref":"readme.html#phoenix-framework","title":"Phoenix Framework - README","type":"extras"},{"doc":"- [ ] Cache sitemaps\n- [ ] Add news sitemap","ref":"readme.html#routemap","title":"Routemap - README","type":"extras"}],"producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}